## blitz++ 0.4.2

=== benchmarks/Makefile ===
# Generated automatically from Makefile.in by configure.
##############################################################################
#
# Blitz++ benchmarks makefile
#

srcdir = .

BZDIR = $(srcdir)/..

CXX = KCC
CXXFLAGS = -DTV_KCC --restrict --no_implicit_include --abstract_pointer --abstract_float --no_implicit_typename --no_old_specializations --strict_warnings +K3 -O3 -DUSE_LIBBLAS  -I$(BZDIR)
F77 = f77
F77FLAGS = -O3 -qhot
F90 = xlf90
F90FLAGS = -O3 -qhot

LIBS = -L$(BZDIR)/lib -lblitz -lm  -lblas -lxlf90

.SUFFIXES: .o .cpp .f

.cpp.o:
	$(CXX) $(CXXFLAGS) -c $*.cpp

.f.o:
	$(F77) $(F77FLAGS) -c $*.f

############################################################################

LOOP_KERNELS = loop1 loop2 loop3 loop5 loop6 loop8 loop9 \
        loop10 loop11 loop12 loop13 loop14 loop15 loop17 loop18 loop21 \
        loop22 loop23 loop24 loop25 loop36

BENCHMARKS = daxpy haney qcd stencil tinydaxpy acoustic acou3d hao-he \
	$(LOOP_KERNELS)

all:	$(BENCHMARKS) 

run:	all
	@for benchmark in $(BENCHMARKS) ; do \
	  ./$$benchmark; \
	done

run-loops:	$(LOOP_KERNELS)
	@for benchmark in $(LOOP_KERNELS) ; do \
	  ./$$benchmark; \
	done

############################################################################

looptest:	looptest.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o looptest looptest.o $(LIBS)

haney:  haney.o haneyf.o
	${CXX} $(CXXFLAGS) $(LDFLAGS) -o haney haney.o haneyf.o $(LIBS)

daxpyf90.o:	daxpyf90.f
	$(F90) $(F90FLAGS) -c daxpyf90.f

daxpy:	daxpy.o fdaxpy.o fidaxpy.o daxpyf90.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o daxpy daxpy.o fdaxpy.o \
           fidaxpy.o daxpyf90.o $(LIBS)

qcd:	qcd.o qcdf.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o qcd qcd.o qcdf.o $(LIBS)

STENCIL_OBJS = stencil.o stencilf.o stencilf2.o stencilf90.o

stencilf90.o:	stencilf90.f
	$(F90) $(F90FLAGS) -c stencilf90.f

stencil:	$(STENCIL_OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o stencil $(STENCIL_OBJS) $(LIBS)

ACOUSTIC_OBJS = acoustic.o acousticf.o acousticf2.o acousticf90.o acousticf902.o

acousticf90.o:	acousticf90.f
	$(F90) $(F90FLAGS) -c acousticf90.f

acousticf902.o:	acousticf902.f
	$(F90) $(F90FLAGS) -c acousticf902.f

acoustic:	$(ACOUSTIC_OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o acoustic $(ACOUSTIC_OBJS) $(LIBS)

ACOU3D_OBJS = acou3db1.o acou3db2.o acou3db3.o acou3db4.o acou3d.o acou3df90.o \
	acou3df.o acou3df2.o acou3df902.o

acou3df90.o:	acou3df90.f
	$(F90) $(F90FLAGS) -c acou3df90.f

acou3df902.o:	acou3df902.f
	$(F90) $(F90FLAGS) -c acou3df902.f

acou3d:	$(ACOU3D_OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o acou3d $(ACOU3D_OBJS) $(LIBS)

tinydaxpy:	tinydaxpy.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o tinydaxpy tinydaxpy.o $(LIBS)

hao-he:	hao-he.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o hao-he hao-he.o $(LIBS)

stenciln:	stenciln.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o stenciln stenciln.o $(LIBS)

############################################################################
# Loop kernel tests
#
# Note: The loop numbers skip around because they represent
# selected loops from a suite used by IBM researchers to test
# the RS/6000.  Missing loops are ones which were too complicated
# to generate automatically.
#
# This section generated by makeloops.cpp

loop1f90.o:	loop1f90.f
	$(F90) $(F90FLAGS) -c loop1f90.f

loop1:	loop1.o loop1f.o loop1f90.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o loop1 loop1.o loop1f.o loop1f90.o $(LIBS)

loop2f90.o:	loop2f90.f
	$(F90) $(F90FLAGS) -c loop2f90.f

loop2:	loop2.o loop2f.o loop2f90.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o loop2 loop2.o loop2f.o loop2f90.o $(LIBS)

loop3f90.o:	loop3f90.f
	$(F90) $(F90FLAGS) -c loop3f90.f

loop3:	loop3.o loop3f.o loop3f90.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o loop3 loop3.o loop3f.o loop3f90.o $(LIBS)

loop5f90.o:	loop5f90.f
	$(F90) $(F90FLAGS) -c loop5f90.f

loop5:	loop5.o loop5f.o loop5f90.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o loop5 loop5.o loop5f.o loop5f90.o $(LIBS)

loop6f90.o:	loop6f90.f
	$(F90) $(F90FLAGS) -c loop6f90.f

loop6:	loop6.o loop6f.o loop6f90.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o loop6 loop6.o loop6f.o loop6f90.o $(LIBS)

loop8f90.o:	loop8f90.f
	$(F90) $(F90FLAGS) -c loop8f90.f

loop8:	loop8.o loop8f.o loop8f90.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o loop8 loop8.o loop8f.o loop8f90.o $(LIBS)

loop9f90.o:	loop9f90.f
	$(F90) $(F90FLAGS) -c loop9f90.f

loop9:	loop9.o loop9f.o loop9f90.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o loop9 loop9.o loop9f.o loop9f90.o $(LIBS)

loop10f90.o:	loop10f90.f
	$(F90) $(F90FLAGS) -c loop10f90.f

loop10:	loop10.o loop10f.o loop10f90.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o loop10 loop10.o loop10f.o loop10f90.o $(LIBS)

loop11f90.o:	loop11f90.f
	$(F90) $(F90FLAGS) -c loop11f90.f

loop11:	loop11.o loop11f.o loop11f90.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o loop11 loop11.o loop11f.o loop11f90.o $(LIBS)

loop12f90.o:	loop12f90.f
	$(F90) $(F90FLAGS) -c loop12f90.f

loop12:	loop12.o loop12f.o loop12f90.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o loop12 loop12.o loop12f.o loop12f90.o $(LIBS)

loop13f90.o:	loop13f90.f
	$(F90) $(F90FLAGS) -c loop13f90.f

loop13:	loop13.o loop13f.o loop13f90.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o loop13 loop13.o loop13f.o loop13f90.o $(LIBS)

loop14f90.o:	loop14f90.f
	$(F90) $(F90FLAGS) -c loop14f90.f

loop14:	loop14.o loop14f.o loop14f90.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o loop14 loop14.o loop14f.o loop14f90.o $(LIBS)

loop15f90.o:	loop15f90.f
	$(F90) $(F90FLAGS) -c loop15f90.f

loop15:	loop15.o loop15f.o loop15f90.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o loop15 loop15.o loop15f.o loop15f90.o $(LIBS)

loop16f90.o:	loop16f90.f
	$(F90) $(F90FLAGS) -c loop16f90.f

loop16:	loop16.o loop16f.o loop16f90.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o loop16 loop16.o loop16f.o loop16f90.o $(LIBS)

loop17f90.o:	loop17f90.f
	$(F90) $(F90FLAGS) -c loop17f90.f

loop17:	loop17.o loop17f.o loop17f90.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o loop17 loop17.o loop17f.o loop17f90.o $(LIBS)

loop18f90.o:	loop18f90.f
	$(F90) $(F90FLAGS) -c loop18f90.f

loop18:	loop18.o loop18f.o loop18f90.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o loop18 loop18.o loop18f.o loop18f90.o $(LIBS)

loop19f90.o:	loop19f90.f
	$(F90) $(F90FLAGS) -c loop19f90.f

loop19:	loop19.o loop19f.o loop19f90.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o loop19 loop19.o loop19f.o loop19f90.o $(LIBS)

loop21f90.o:	loop21f90.f
	$(F90) $(F90FLAGS) -c loop21f90.f

loop21:	loop21.o loop21f.o loop21f90.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o loop21 loop21.o loop21f.o loop21f90.o $(LIBS)

loop22f90.o:	loop22f90.f
	$(F90) $(F90FLAGS) -c loop22f90.f

loop22:	loop22.o loop22f.o loop22f90.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o loop22 loop22.o loop22f.o loop22f90.o $(LIBS)

loop23f90.o:	loop23f90.f
	$(F90) $(F90FLAGS) -c loop23f90.f

loop23:	loop23.o loop23f.o loop23f90.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o loop23 loop23.o loop23f.o loop23f90.o $(LIBS)

loop24f90.o:	loop24f90.f
	$(F90) $(F90FLAGS) -c loop24f90.f

loop24:	loop24.o loop24f.o loop24f90.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o loop24 loop24.o loop24f.o loop24f90.o $(LIBS)

loop25f90.o:	loop25f90.f
	$(F90) $(F90FLAGS) -c loop25f90.f

loop25:	loop25.o loop25f.o loop25f90.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o loop25 loop25.o loop25f.o loop25f90.o $(LIBS)

loop36f90.o:	loop36f90.f
	$(F90) $(F90FLAGS) -c loop36f90.f

loop36:	loop36.o loop36f.o loop36f90.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o loop36 loop36.o loop36f.o loop36f90.o $(LIBS)

###########################################################################

clean:
	rm -f *.o *.ii *.int.c *.s ${BENCHMARKS}

## blitz++ 0.9

=== debian/changelog ===
blitz++ (1:0.9-13) unstable; urgency=low

  * debian/control:
    - Standards-Version: 3.9.3 (no changes needed)
    - Fixed Vcs fields
    - Do not build-depend quilt (redundant with source 3.0 (quilt))
    - Build-Depends: cfortran
      Closes: #631004
  * debhelper 9 (control+compat)
  * debian/rules:
    - make sure only correct pkgconfig file will be installed
      Closes: #623786
    - save all docs from upstream source before clean target removes
      them automatically to build twice in a row successfully
  * debian/{libblitz-doc.examples,libblitz0-dev.install}: Do not use
    brace expansion
  * debian/copyright: Fix DEP5 issues

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jun 2012 11:37:15 +0200

blitz++ (1:0.9-12) unstable; urgency=low

  * debian/control:
    - Standards-Version: 3.9.2 (no changes needed)
    - Build-Depends: texi2html
    - doc package Depends libjs-jquery which provides jquery.js
  * Debhelper 8 (control+compat)
  * debian/rules:
    - Fix sequence of dh arguments
    - Do not install unneeded *.la file
      Closes: #621305
    - Remove copy of jquery.js which is provided by a link to the
      file provided in libjs-jquery:

 -- Andreas Tille <tille@debian.org>  Fri, 08 Apr 2011 13:51:07 +0200

blitz++ (1:0.9-11) unstable; urgency=low

  * debian/control:
    - Standards-Version: 3.9.1 (no changes needed)
    - Build-Depends: doxygen-latex instead of several tex related files
      Closes: #616201
    - Build-Depends: autotools-dev
  * debian/rules: simplified by using short dh syntax
    Using autotools-dev should hopefully solve the "Outdated config.{sub,guess}"
    issue, hopefully Closes: #548928
  * debian/source/format: 3.0 (quilt)
  * debian/libblitz-doc.lintian-overrides: Removed because not needed any more

 -- Andreas Tille <tille@debian.org>  Mon, 07 Mar 2011 14:00:41 +0100

blitz++ (1:0.9-10) unstable; urgency=low

  * Standards-Version: 3.8.3 (added README.source)
  * Debhelper 7
  * Build-Depends: autotools-dev
  * debian/patches/30_fix_doxygen_install_target.patch: Replace install
    by cp -a which enables copying directories recursively
    Closes: #545635
  * Machine readable copyright

 -- Andreas Tille <tille@debian.org>  Tue, 08 Sep 2009 21:36:45 +0200

blitz++ (1:0.9-9) unstable; urgency=medium

  * Urgency medium because of private report of FTBFS problem
    on AMD - unable to verify so no further action than tagging
    like this
  * dh_lintian was added in debhelper 6.0.7 so increased debhelper
    version to 6 and add versioned build dependency
  * Team maintenance by Debian Science Team
    <debian-science-maintainers@lists.alioth.debian.org> as Maintainer
    and myself as Uploader
  * DM-Upload-Allowed: yes
  * Added Vcs fields
  * Recreate blitz.info instead of applying a patch
  * Applied a patch to work around a FTBFS problem with amd64
    which is described at
     http://bbs.archlinux.org/viewtopic.php?pid=404588
    The patch was obtained from
     http://aur.archlinux.org/packages/blitz/blitz/header.patch
  * Increased build dependency from debhelper (>= 6.0.7~)
  * Standards-Version: 3.8.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Tue, 02 Sep 2008 13:23:47 +0200

blitz++ (1:0.9-8) unstable; urgency=low

  * Took over the package myself after markos left Debian
    (sorry to see you go markos and thanks for your work in Debian)
  * Priority: optional (because there is no reason to put it in extra -
    there is no conflict with other packages)
  * Removed debian/dshlibmove which is not needed any more
  * Make use of dh_lintian
  * debian/compat: 5
  * Removed explicite versioned dependency from g++ because all recent
    disctributions contain newer g++ versions
  * Added more warnings about zero byte files to lintian overrides
  * libblitz-doc.doc-base: Section: Programming, enhanced abstract
  * debian/rules: Added dh_shlibdeps
  * lintian override for package-name-doesnt-match-sonames because
    upstream does not seem to produce any newer versions and thus
    changing the package name just produces extra nuisance for ftpmaster
    without noticeable benefit

 -- Andreas Tille <tille@debian.org>  Mon, 05 May 2008 10:27:41 +0200

blitz++ (1:0.9-7) unstable; urgency=low

  * Added patch to fix FTBFS with GCC 4.3: missing #includes
    (Thanks to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>)
    Closes: #455661
  * Added quilt to Build-Depends
  * Standards-Version: 3.7.3 (No changes needed)
  * Homepage tag instead of putting it into long description
  * debian/rules: F77=gfortran; Adjusting Build-Depends to
    accomplish g77 to gfortran transition (Thanks to
    Kumar Appaiah <akumar@ee.iitm.ac.in>)
    Closes: #463935
  * libblitz0-dev to section libdevel
  * debian/libblitz-doc.doc-base removed useless whitespace
  * debian/rules: Removed bashism

 -- Andreas Tille <tille@debian.org>  Sun, 17 Feb 2008 21:31:47 +0100

blitz++ (1:0.9-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: fix bashism. Closes: #455895.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sun, 20 Jan 2008 18:54:36 +0100

blitz++ (1:0.9-6) unstable; urgency=low

  * Fix Build-Depends from atlas libs to enable building on arm
    and removed explicite Depends from atlas because
    m4/ac_lib_blas.m4 says:
      Blitz++ will use BLAS library to run benchmarks against if
      you build the benchmarks.  Blitz++ itself does NOT use BLAS
  * debian/rules: configure --with-blas ...
  * Addes graphviz to Build-Depends to enable dependency graphs
    in docs.

 -- Andreas Tille <tille@debian.org>  Tue, 18 Sep 2007 09:01:31 +0200

blitz++ (1:0.9-5) unstable; urgency=low

  * ldbl128 transition
    Closes: #430257
  * debian/control:
      libblitz0ldbl:  Conflicts/  Replaces: libblitz0
      libblitz0-dev:  Depends: libblitz0ldbl (= ${binary:Version})
  * Reworked debian/copyright
  * Added lintian.override for zero byte files that were created
    by doxygen


=== debian/control ===
Source: blitz++
Section: devel
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: gfortran | fortran-compiler, autotools-dev, texinfo,
 libblas-dev | libatlas-base-dev, liblapack-dev | libatlas-base-dev,
 debhelper (>= 9), d-shlibs, doxygen-latex, texi2html, cfortran
Standards-Version: 3.9.3
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/libblitz/trunk/
Vcs-Svn: svn://svn.debian.org/debian-science/packages/libblitz/trunk/
Homepage: http://oonumerics.org/blitz/

Package: libblitz0ldbl
Architecture: any
Priority: extra
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libblitz-doc
Conflicts: libblitz0
Replaces: libblitz0
Provides: libblitz0
Description: C++ template class library for scientific computing
 Blitz++ offers a high level of abstraction, 
 but performance which rivals Fortran.  The
 current version supports arrays and vectors.
 .
 This package contains the dynamic library.

Package: libblitz0-dev
Architecture: any
Priority: extra
Section: libdevel
Depends: libblitz0ldbl (= ${binary:Version}), ${misc:Depends}
Provides: libblitz-dev, blitz++
Conflicts: libblitz-dev, blitz++
Recommends: libblitz-doc
Description: C++ template class library for scientific computing
 Blitz++ offers a high level of abstraction, 
 but performance which rivals Fortran.  The
 current version supports arrays and vectors.
 .
 This package contains the static library
 and header files for  compiling programs with
 blitz++.

Package: libblitz-doc
Architecture: all
Priority: extra
Depends: ${misc:Depends}, libjs-jquery
Section: doc
Description: C++ template class library for scientific computing
 Blitz++ offers a high level of abstraction, 
 but performance which rivals Fortran.  The
 current version supports arrays and vectors.
 .
 This package contains the documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for blitz++
# 2011         Andreas Tille <tille@debian.org> 

version=0.9
libname=libblitz
pkgname=$(libname)0ldbl
docname=$(libname)-doc

PREFIX = /usr

%:
	dh $@ -with autotools-dev
	# dh --with autotools-dev --with autoreconf $@ # Needs Build-Depends: dh-autoreconf

override_dh_auto_configure:
	mkdir -p doc_orig
	cp -a doc/blitz.dvi doc/blitz.info doc/blitz.html doc/blitz.pdf doc/blitz.ps doc_orig/
	# dh_autotools-dev_updateconfig
	F77=gfortran ./configure --prefix=$(PREFIX) --with-cxx=gcc --with-blas --enable-debug --enable-static --enable-64bit --enable-shared --enable-doxygen CFLAGS="-g -O2 -DBZHAVE_STD" CXXFLAGS="-g -O2 -DBZ_HAVE_STD"

override_dh_auto_build:
	cp -a doc_orig/* doc/
	dh_auto_build
	cd doc && $(MAKE) all


override_dh_compress:
	dh_compress --exclude=examples --exclude=testsuite --exclude=.pdf

override_dh_install:
	dh_install
	mkdir -p `pwd`/debian/tmp/$(PREFIX)/share/doc/libblitz-doc/html
	for ext in html gif jpg ; do \
	    mv `pwd`/debian/tmp/$(PREFIX)/share/doc/blitz-0.9/*.$${ext} `pwd`/debian/tmp/$(PREFIX)/share/doc/libblitz-doc/html ; \
	done
	d-shlibmove --ldbl --commit \
	            --movedev "debian/tmp/usr/lib/pkgconfig/blitz.pc" usr/lib/pkgconfig \
	            lib/.libs/libblitz.so

	#######    --movedev "debian/tmp/usr/lib/*.la" usr/lib \
	# Make sure there will be no *.la file created automagically by d-shlibmove
	find debian -name "*.la" -delete

	# Delete copy of jquery.js and replace it by a link (in dh_links) to libjs-jquery version
	rm -f debian/$(docname)/usr/share/doc/$(docname)/html/doxygen/jquery.js

override_dh_clean:
	dh_clean
	if [ -d doc_orig ] ; then \
	    mv doc_orig/* doc/ ; \
	    rmdir doc_orig ; \
	fi

## blitz++ 0.10

=== debian/changelog ===
blitz++ (1:0.10-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library to libblitz0v5 for the libstdc++ transition
    (Closes: #790984)

 -- Simon McVittie <smcv@debian.org>  Sun, 23 Aug 2015 14:46:54 +0100

blitz++ (1:0.10-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing epoch to conflicts/replaces versions
    (really Closes: #767564)

 -- Jonathan Wiltshire <jmw@debian.org>  Tue, 02 Dec 2014 21:37:08 +0000

blitz++ (1:0.10-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add replaces on libblitz0ldbl as well (Closes: #767564) 

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 23 Nov 2014 22:58:33 +0000

blitz++ (1:0.10-3) unstable; urgency=medium

  * libblitz-doc breaks libblitz0ldbl of previous releases
    Closes: #767564

 -- Andreas Tille <tille@debian.org>  Sun, 02 Nov 2014 08:42:13 +0100

blitz++ (1:0.10-2) unstable; urgency=medium

  * cme fix dpkg-control
  * Priority optional for all packages
  * use autoreconf (thanks for the patch to "Breno Leitao" <brenohl@br.ibm.com>)
    Closes: #755826
  * fix blitz.info dir entry (thanks for the patch to Kevin Ryde
    <user42@zip.com.au>)
    Closes: #726566
  * debian/README.source: deleted since redundant
  * debian/rules: removed some unneeded stuff
  * d/control: delete superseded package texi2html from Build-Depends
  * blitz.info ends up in doc package to come together with the used images

 -- Andreas Tille <tille@debian.org>  Thu, 02 Oct 2014 15:56:53 +0200

blitz++ (1:0.10-1) unstable; urgency=low

  * New upstream release
    Closes: #679407
  * debian/rules:
    - update for new release
    - add override_dh_auto_test target
    - regenerate configure and Makefile.am
  * debian/control:
    - add libtool, automake to BuildDepends
  * debian/libblitz-doc.install
    - modify path for html files
  * remove uneeded patches
  * add examples.patch
  
 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Fri, 06 Jul 2012 09:15:30 +0200

=== debian/control ===
Source: blitz++
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>
Section: devel
Priority: optional
Build-Depends: gfortran | fortran-compiler,
               dh-autoreconf,
               libtool,
               automake,
               texinfo,
               libblas-dev | libatlas-base-dev,
               liblapack-dev | libatlas-base-dev,
               debhelper (>= 9),
               d-shlibs,
               doxygen-latex,
               cfortran
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/libblitz/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/libblitz/trunk/
Homepage: http://oonumerics.org/blitz/

Package: libblitz0v5
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: libblitz-doc
Conflicts: libblitz0, libblitz0ldbl
Provides: libblitz0
Replaces: libblitz0, libblitz0ldbl
Description: C++ template class library for scientific computing
 Blitz++ offers a high level of abstraction, 
 but performance which rivals Fortran.  The
 current version supports arrays and vectors.
 .
 This package contains the dynamic library.

Package: libblitz0-dev
Architecture: any
Section: libdevel
Depends: libblitz0v5 (= ${binary:Version}),
         ${misc:Depends}
Recommends: libblitz-doc
Conflicts: libblitz-dev,
           blitz++
Provides: libblitz-dev,
          blitz++
Description: C++ template class library for scientific computing
 Blitz++ offers a high level of abstraction, 
 but performance which rivals Fortran.  The
 current version supports arrays and vectors.
 .
 This package contains the static library
 and header files for  compiling programs with
 blitz++.

Package: libblitz-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery
Breaks: libblitz0ldbl (<< 1:0.10-2)
Replaces: libblitz0ldbl (<< 1:0.10-2)
Description: C++ template class library for scientific computing
 Blitz++ offers a high level of abstraction, 
 but performance which rivals Fortran.  The
 current version supports arrays and vectors.
 .
 This package contains the documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for blitz++
# 2011         Andreas Tille <tille@debian.org> 

libname=libblitz
pkgname=$(libname)0v5
docname=$(libname)-doc

PREFIX = /usr

%:
	dh $@ -with autoreconf --parallel

override_dh_auto_configure:
	# dh_autotools-dev_updateconfig
#	libtoolize --automake
#	aclocal -Im4
#	autoreconf -i
#	automake
#
	F77=gfortran ./configure --prefix=$(PREFIX) --with-cxx=gcc --with-blas --enable-debug --enable-static --enable-64bit --enable-shared --enable-doxygen CFLAGS="${CFLAGS} -DBZHAVE_STD" CXXFLAGS="${CXXFLAGS} -DBZ_HAVE_STD"

override_dh_auto_build:
	#dh_auto_build
	#cd doc && $(MAKE) all
	
	# update doxigen conf file
	cd doc/doxygen && doxygen -u
	 
	$(MAKE) lib
	$(MAKE) info              #Build Blitz++ texinfo documentation
	
	mkdir -p doc/doxygen/html
	$(MAKE) pdf              #Build Blitz++ pdf documentation
	$(MAKE) html             #Build Blitz++ html documentation

override_dh_auto_test:
	#
	# TODO find . -name \*.htmlneed to be patched to compile properly
	#$(MAKE) check-testsuite  #Build and check the testsuite
	
	$(MAKE) check-examples   #Build and check the examples
	
	#$(MAKE) check-benchmarks #Build and check the benchmarks (long)

override_dh_compress:
	dh_compress --exclude=examples --exclude=testsuite --exclude=.pdf

override_dh_install:
	dh_install
	
	d-shlibmove --v5 --commit \
	            --exclude-la \
	            --movedev "debian/tmp/usr/lib/pkgconfig/blitz.pc" usr/lib/pkgconfig \
	            lib/.libs/libblitz.so
	#
	# workaround some broken entry in usr/lib/pkgconfig/blitz.pc - no idea
	# why this endet up here ...
	sed -i 's/-D_FORTIFY_SOURCE=2//' debian/libblitz0-dev/usr/lib/pkgconfig/blitz.pc

=== debian/watch ===
# This is a version 3 file
version=3

# Find new files on sourceforge, for debscripts >= 2.9
http://sf.net/blitz/blitz-(.*)\.tar\.gz
## http://mesh.dl.sourceforge.net/sourceforge/blitz/blitz-0.9.tar.gz

## blitz++ 1.0.1+ds

=== debian/changelog ===
blitz++ (1:1.0.1+ds-3) unstable; urgency=medium

  * FTBFS fix release, drop obsolete Texinfo command (Closes: #906338).
  * Debianization:
    - debian/patches/*:
      - d/p/upstream-doc-fix-drop_obsolete_texinfo_command.patch ,
        introduce and submit;
    - debian/control:
      - Homepage field, migrate to GitHub;
      - Standards-Version, bump to 4.2.0 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 25 Aug 2018 14:37:39 +0000

blitz++ (1:1.0.1+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/patches/*:
      - d/p/upstream-skip-testsuite.patch , introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 08 Jun 2018 21:09:41 +0000

blitz++ (1:1.0.1+ds-1) unstable; urgency=medium

  * New upstream major version (Closes: #894309, #853333, #835373)
  * Debianization:
    - debian/control:
      - debhelper, bump to 11;
      - Standards Version, bump to 4.1.4 (no change);
    - debian/copyright:
      - Upstream-Contact field, update;
      - Source field, update;
      - Files-Excluded, refresh;
      - Copyright field: update;
    - debian/watch, migration to GitHub repository;
    - debian/rules:
      - override_dh_auto_configure, add enable-maintainer-mode;
      - get-orig-source target, discard;
    - debian/patches/*:
      - d/p/upstream-autotoolization-harden.patch , refresh;
      - d/p/debian*.patch , update;
    - debian/source/lintian-overrides, update;
    - debian/clean, refresh;
    - debian/adhoc/*/Makefile:
      - copyright year tuple, update.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 08 Jun 2018 18:25:05 +0000

blitz++ (1:0.10+ds-3) unstable; urgency=medium

  * Debianization:
    - debian/copyright:
      - Format field, secure;
      - copyright year tuples, update;
    - debian/control:
      - Vcs-* fields, migration to Salsa;
      - Build-Depends field, temporarily add g++-6;
    - debian/rules:
      - no-parallel build;
      - g++-6 usage, force.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 26 May 2018 16:38:18 +0000

blitz++ (1:0.10+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/patches/:
      - d/p/debianization-examples-neutralization.patch, refresh;
      - d/p/debianization-testsuite-neutralization.patch, introduce;
      - Origin fields, correct.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 10 Oct 2016 00:58:10 +0000

blitz++ (1:0.10+ds-1) unstable; urgency=medium

  * RC fix release (Closes: #811923), external build to avoid name collisions.
  * New maintainer.
  * Debianizarion:
    - debian/copyright:
      - Files-Excluded field, setup;
      - refresh;
    - debian/control:
      - Standards Version, bump to 3.9.8;
      - Vcs-* headers, secure;
    - debian/watch, refresh;
    - debian/rules:
      - default target, introduce;
      - get-orig-source target, introduce;
      - build-arch/build-indep scheme, introduce;
      - clean up;
    - debian/patches/:
      - bump format to DEP-3;
      - d/p/fix_info.patch, discard in favour of on fly modification;
      - d/p/examples.patch, discard in favour of
          d/p/upstream-autotoolization-harden.patch;
      - d/p/testsuite.patch, obsoleted to keep the source as-is;
      - d/p/upstream-*.patch, introduce;
      - d/p/debianization-*.patch, introduce;
    - debian/adhoc/examples/Makefile, introduce;
    - debian/adhoc/testsuite/Makefile, introduce;
    - harden.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 01 Aug 2016 22:19:06 +0000

blitz++ (1:0.9-1.2) unstable; urgency=low

  * NMU
  * Change rules clean target to call distclean, which cleans up a lot
    of autogenerated files.
  * Add build dependency on texinfo to fix FTBFS. Closes: #397540

 -- Joey Hess <joeyh@debian.org>  Wed,  8 Nov 2006 00:59:01 -0500

=== debian/control ===
Source: blitz++
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>,
           Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>
Section: devel
Priority: optional
Build-Depends:
 debhelper (>= 11),
 autoconf-archive, automake, libtool, python,
 gfortran | fortran-compiler, cfortran,
 libblas-dev | libatlas-base-dev,
 liblapack-dev | libatlas-base-dev
Build-Depends-Indep:
 texinfo, texlive-generic-recommended, texlive-latex-base
Standards-Version: 4.2.0
Homepage: https://github.com/blitzpp/blitz
Vcs-Git: https://salsa.debian.org/science-team/blitzxx.git
Vcs-Browser: https://salsa.debian.org/science-team/blitzxx

Package: libblitz0v5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libblitz-doc
Conflicts: libblitz0, libblitz0ldbl
Provides: libblitz0
Replaces: libblitz0, libblitz0ldbl
Description: C++ template class library for scientific computing
 Blitz++ offers a high level of abstraction,
 but performance which rivals Fortran.  The
 current version supports arrays and vectors.
 .
 This package contains the dynamic library.

Package: libblitz0-dev
Architecture: any
Section: libdevel
Depends: libblitz0v5 (= ${binary:Version}), ${misc:Depends}
Suggests: libblitz-doc (= ${source:Version})
Conflicts: libblitz-dev, blitz++
Provides: libblitz-dev, blitz++
Description: C++ template class library for scientific computing - libdev
 Blitz++ offers a high level of abstraction,
 but performance which rivals Fortran.  The
 current version supports arrays and vectors.
 .
 This package contains the static library
 and header files for  compiling programs with
 blitz++.

Package: libblitz-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Enhances: libblitz0-dev (= ${binary:Version})
Breaks: libblitz0ldbl (<< 1:0.10-2)
Replaces: libblitz0ldbl (<< 1:0.10-2)
Description: C++ template class library for scientific computing - doc
 Blitz++ offers a high level of abstraction,
 but performance which rivals Fortran.  The
 current version supports arrays and vectors.
 .
 This package contains the documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export F77 = gfortran

CPPFLAGS += -DBZ_HAVE_STD

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ -with autoreconf --builddirectory=_build --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-maintainer-mode \
		--enable-static \
		--enable-shared \
		--enable-debug \
		--enable-64bit \
		--disable-doxygen

override_dh_auto_build-arch:
	$(MAKE) -C _build lib

override_dh_auto_build-indep:
	$(MAKE) -C _build lib
	$(MAKE) -C _build info pdf html

override_dh_auto_test-arch:
	$(MAKE) -C _build/examples check
	$(MAKE) -C _build/testsuite check
	#$(MAKE) -C _build/benchmarks check

override_dh_auto_test-indep:
	@true

override_dh_prep-arch:
	sed -i \
			-e '/^# generated by configure/d' \
			-e 's/ -D_FORTIFY_SOURCE=2//;s/ -Wdate-time//;s/: $$/:/;' \
		_build/blitz.pc

## https://bugs.debian.org/726566
override_dh_prep-indep:
	sed -i \
			-e 's/^* Blitz++: (blitz++)/* Blitz++: (blitz)/;' \
		doc/blitz.info

DEB_AUTO_INSTALL_MAKEFLAGS = DESTDIR=$(CURDIR)/debian/tmp
override_dh_auto_install-indep:
	$(MAKE) -C _build install-info install-pdf install-html $(DEB_AUTO_INSTALL_MAKEFLAGS)
	$(MAKE) -C _build/examples install-examples $(DEB_AUTO_INSTALL_MAKEFLAGS)
	$(MAKE) -C _build/testsuite install-testsuite $(DEB_AUTO_INSTALL_MAKEFLAGS)

override_dh_compress-indep:
	dh_compress -Xexamples -Xtestsuite -Xbenchmarks -X.pdf
